Subject: Re: [PATCH v3 4/4] api-builtin.txt: explain common command groups

From: Sébastien Guimmara <[email-masked]>
Date: Sun, 03 May 2015 22:59:15 +0200

On 05/03/2015 10:02 PM, Eric Sunshine wrote:
> On Sat, May 2, 2015 at 8:24 PM, Sébastien Guimmara
> <[email-masked]> wrote:
>> Update api-builtin.txt to explain how to add the group information
>> for common commands.
>>
>> Signed-off-by: Sébastien Guimmara <[email-masked]>
>> ---
>> diff --git a/Documentation/technical/api-builtin.txt
>> b/Documentation/technical/api-builtin.txt
>> index 22a39b9..76baba8 100644
>> --- a/Documentation/technical/api-builtin.txt
>> +++ b/Documentation/technical/api-builtin.txt
>> @@ -50,7 +50,11 @@ Additionally, if `foo` is a new command, there are 3 more
>> things to do:
>>    . Write documentation in `Documentation/git-foo.txt`.
>>   -. Add an entry for `git-foo` to `command-list.txt`.
>> +. Add an entry for `git-foo` to `command-list.txt`. If foo is considered
>> +  a 'common' command, add 'common-x_group' as the third value,
>> +  where x_group is one of the existing themes:
>> +
>> +       git-foo        mainporcelain common-3_worktree
>>    . Add an entry for `/git-foo` to `.gitignore`.
>
> Unfortunately, this change breaks Asciidoc formatting by making the
> following ".Add an entry..." item get glued to the new "git-foo..."
> example. Fix by inserting a blank line after the "git-foo...". (And
> try formatting it yourself to ensure that it is working as expected.)
>

I'll look into that.

> Finally, all of your patches are whitespace-damaged and fail to apply
> to the code-base. Did you paste them into your email client or some
> such? If possible, try to send patches via git-send-email since it
> does a good job of protecting against whitespace and other types of
> damage.
>

I'm having a hard time configuring send-email through gmail,
so those patches were indeed pasted into plain text. I'll look into
making send-email work.

Thank you for the help,

Sébastien